<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/login', 'Auth::login');
$routes->get('/', 'Auth::login');
$routes->get('/auth/login', 'Auth::login');
$routes->post('/auth/login', 'Auth::login');
$routes->get('/logout', 'Auth::logout');
$routes->get('auth/obtenerClaveEncriptada', 'Auth::obtenerClaveEncriptada');
$routes->get('auth/cerrarSesion', 'Auth::cerrarSesion');
$routes->get('/dashboard', 'Dashboard::index');


$routes->get('/users', 'Users::index');


/*
$routes->get('/', 'Login::index');

$routes->get('Login', 'Login::index');
$routes->get('Login/index', 'Login::index');
$routes->get('Login/validarClaveIngreso', 'Login::validarClaveIngreso');
$routes->post('Login/validarClaveIngreso', 'Login::validarClaveIngreso');


$routes->get('Dashboard', 'Dashboard::index');
$routes->get('Dashboard/index', 'Dashboard::index');

$routes->get('Dashboard', 'Dashboard::escritorio');
$routes->get('Dashboard/escritorio', 'Dashboard::escritorio');

$routes->get('Home', 'Home::index');
$routes->get('Home/index', 'Home::index');
*/

$routes->get('Usuarios', 'Usuarios::index');
$routes->get('Usuarios/index', 'Usuarios::index');

$routes->post('Usuarios', 'Usuarios::index');
$routes->post('usuarios', 'usuarios::index');

$routes->get('usuarios', 'Usuarios::index');
$routes->get('usuarios/create', 'Usuarios::create');
$routes->post('usuarios/store', 'Usuarios::store');
$routes->get('usuarios/edit/(:num)', 'Usuarios::edit/$1');
$routes->post('usuarios/update/(:num)', 'Usuarios::update/$1');
$routes->get('usuarios/delete/(:num)', 'Usuarios::delete/$1');

$routes->get('/predios', 'Predios::index');
$routes->get('/predios/create', 'Predios::create');
$routes->post('/predios/store', 'Predios::store');
$routes->get('/predios/edit/(:num)', 'Predios::edit/$1');
$routes->post('/predios/update/(:num)', 'Predios::update/$1');
$routes->get('/predios/delete/(:num)', 'Predios::delete/$1');
$routes->get('/predios/show/(:num)', 'Predios::show/$1');
$routes->get('/predios/verpredio_ol/(:num)', 'Predios::verpredio_ol/$1');


$routes->get('/otbs', 'Otbs::index');
$routes->get('/otbs/create', 'Otbs::create');
$routes->post('/otbs/store', 'Otbs::store');
$routes->get('/otbs/edit/(:num)', 'Otbs::edit/$1');
$routes->post('/otbs/update/(:num)', 'Otbs::update/$1');
$routes->get('/otbs/view/(:num)', 'Otbs::view/$1');
$routes->get('otbs/delete/(:num)', 'Otbs::delete/$1');

$routes->get('red_agua_potable', 'Red_agua_potable::index');
$routes->get('red_agua_potable/create', 'Red_agua_potable::create');
$routes->post('red_agua_potable/store', 'Red_agua_potable::store');
$routes->get('red_agua_potable/edit/(:num)', 'Red_agua_potable::edit/$1');
$routes->post('red_agua_potable/update/(:num)', 'Red_agua_potable::update/$1');
$routes->get('red_agua_potable/view/(:num)', 'Red_agua_potable::view/$1');
$routes->get('red_agua_potable/delete/(:num)', 'Red_agua_potable::delete/$1');
$routes->get('red_agua_potable/ver_red_agua_potable_ol/(:num)', 'Red_agua_potable::ver_red_agua_potable_ol/$1');

$routes->get('red_alcantarillado', 'Red_alcantarillado::index');
$routes->get('red_alcantarillado/create', 'Red_alcantarillado::create');
$routes->post('red_alcantarillado/store', 'Red_alcantarillado::store');
$routes->get('red_alcantarillado/edit/(:num)', 'Red_alcantarillado::edit/$1');
$routes->post('red_alcantarillado/update/(:num)', 'Red_alcantarillado::update/$1');
$routes->get('red_alcantarillado/view/(:num)', 'Red_alcantarillado::view/$1');
$routes->get('red_alcantarillado/delete/(:num)', 'Red_alcantarillado::delete/$1');

$routes->get('valvulas', 'Valvulas::index');
$routes->get('valvulas/create', 'Valvulas::create');
$routes->post('valvulas/store', 'Valvulas::store');
$routes->get('valvulas/edit/(:num)', 'Valvulas::edit/$1');
$routes->post('valvulas/update/(:num)', 'Valvulas::update/$1');
$routes->get('valvulas/view/(:num)', 'Valvulas::view/$1');
$routes->get('valvulas/delete/(:num)', 'Valvulas::delete/$1');

$routes->get('camaras', 'Camaras::index');
$routes->get('camaras/create', 'Camaras::create');
$routes->post('camaras/store', 'Camaras::store');
$routes->get('camaras/edit/(:num)', 'Camaras::edit/$1');
$routes->post('camaras/update/(:num)', 'Camaras::update/$1');
$routes->get('camaras/view/(:num)', 'Camaras::view/$1');
$routes->get('camaras/delete/(:num)', 'Camaras::delete/$1');

$routes->get('medidores', 'Medidores::index');
$routes->get('medidores/create', 'Medidores::create');
$routes->post('medidores/store', 'Medidores::store');
$routes->get('medidores/edit/(:num)', 'Medidores::edit/$1');
$routes->post('medidores/update/(:num)', 'Medidores::update/$1');
$routes->get('medidores/delete/(:num)', 'Medidores::delete/$1');
$routes->get('medidores/view/(:num)', 'Medidores::view/$1');





